/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2008 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: target_kernel.h 1309 2008-08-27 07:48:51Z ertl-honda $
 */

/*
 *  kernel.hΥåװ¸LM3S8962ѡ
 *
 *  Υ󥯥롼ɥեϡkernel.hǥ󥯥롼ɤ롥¾Υե
 *  뤫ľܥ󥯥롼ɤ뤳ȤϤʤΥե򥤥󥯥롼
 *  ˡt_stddef.h󥯥롼ɤΤǡ˰¸Ƥ
 *  
 */

#ifndef TOPPERS_TARGET_KERNEL_H
#define TOPPERS_TARGET_KERNEL_H

/*
 *  ͥγͥ٤ϰ
 *
 *  TMIN_INTPRIѹ뤳ȤǡΥ٥⤤ͥ
 *  ĤΤ򥫡ͥγߤȤ뤫ѹǤ롥
 *
 *  TMIN_INTPRIǤͤϡ
 *   -(2^(TBIW_IPRI)) + (2^TBITW_SUBIPRI))  -1
 *  ϰϤǤ롥
 *  㤨ͥ٤Υӥå(TBITW_IPRI)8bitΤsubpriorityΥӥå
 *  (TBITW_SUBIPRI) 1bitξϡ-254  -1 ϰϤǤ롥
 *  ξ硤TMIN_INTPRI -252 Ȥȡ-253,-254γߤͥ
 *  Ȥʤ롥-254ȤȡNMIʳϥͥγߤߤʤȤˤʤ롥
 *  ʤTMIN_INTPRIϡsubpriorityʬϡ'0'Ȥʤ褦˻ꤹ
 *  ȡ 
 */
#define TMIN_INTPRI		(-7)		/* ͥ٤κǾ͡ʺǹ͡*/

/*
 *  ݡȤ뵡ǽ
 */
#define TOPPERS_SUPPORT_GET_UTM			/* get_utm򥵥ݡȤ */

/*
 *  ƥå
 */
#define TIC_NUME   1U            /* ƥåμʬ */
#define TIC_DENO   1U            /* ƥåμʬ */

/*
 *  åװ¸Ƕ̤
 */
#include "arm_m_gcc/prc_kernel.h"

#endif /* TOPPERS_TARGET_KERNEL_H */
